Subject: Re: bug#56974: 29.0.50; Missing documentation for former subr-x macros

From: Michael Heerdegen <[email-masked]>
Date: Sun, 07 Aug 2022 04:15:42 +0200

Lars Ingebrigtsen <[email-masked]> writes:

> when-let is a 3:1 winner over when-let* in the Emacs tree, so I think
> the public has spokeneth, and we should document when-let and not
> when-let*.  (And just pretend that when-let doesn't have the compat
> forms in the manual.)

Could be that most uses date from before the new names had been added.
AFAIR using the * names was an agreement in some thread in the past -
when this had been discussed the last time.

Personally I don't care that much, both names are equally good (or bad).
I would make them synonymous.  Although when-let and and-let are already
synonymous names...

Michael.